import { STAGE } from '@svc/config';

const wait = async (ms: number) => new Promise(r => setTimeout(r, ms));

export default wait;

export const gsiUpdateWaitTime = STAGE === 'dev' ? 2500 : 3000;

export const waitForGSIUpdates = () => wait(gsiUpdateWaitTime);

export const waitForDDBDeletes = () => wait(4000);

export const lambdaLogsWarmWait = STAGE === 'dev' ? 30000 : 40000;

export const waitForLambdaLogs = () => wait(lambdaLogsWarmWait);

export const waitForColdLambdaLogs = () => wait(50000)

export const waitForPipedriveUpdate = () => wait(10000);