import uuid from "@svc/lib/uuid";
import { Context } from "aws-lambda";


export default (functionName: string) => {
  const ctx: Context = {
    functionName,
    callbackWaitsForEmptyEventLoop: false,
    functionVersion: '0',
    invokedFunctionArn: '',
    memoryLimitInMB: '128',
    awsRequestId: uuid(),
    logGroupName: '',
    logStreamName: '',
    getRemainingTimeInMillis: () => 1000,
    done: () => {},
    fail: () => {},
    succeed: () => {},
  };

  return ctx
}