export default (body: string) => {
  let callSidMatches = body.match(/\/calls\/(.*?)"\s/); // finds the string in the note between "/call/" (the preceeding part of the URL that contains the call id) and '" target', which is the text in the note that comes immediately after the URL
    callSidMatches = callSidMatches || body.match(/Call\sSid:\s(.+?)\b/); // Same line as above but updated for the voicemail syntax
    callSidMatches = callSidMatches || body.match(/Call\sSid\s:\s(.+?)\b/); // Same line as above but updated for another syntax
    callSidMatches = callSidMatches || body.match(/Call\sSId\s:\s(.+?)\b/); // finds the string in the note after "Call SId : " and before the next non-word-character

    return (callSidMatches || undefined) && callSidMatches![1];
}